package w2phtml.pageSplitters;

import static w2phtml.office.XMLString.TEXT_NOTE;
import static w2phtml.office.XMLString.TEXT_NOTE_BODY;
import static w2phtml.office.XMLString.TEXT_SPAN;

import org.w3c.dom.Element;
import org.w3c.dom.Node;
import org.w3c.dom.NodeList;

import w2phtml.office.OfficeReader;

public class SpanSplitter extends BasicSplitter implements ISplitter{

	public SpanSplitter(OfficeReader officeReader, SplitFactory factory) {
		super(officeReader, factory);
	}

	@Override
	public SplitResults Split(Node span) {
		SplitResults results = new SplitResults(false);
		NodeList childs = span.getChildNodes();
		int i = 0;
		while (childs.getLength() > i) {
			Node child = childs.item(i);
			String childName = child.getNodeName();
			if (child.getNodeType() == Node.ELEMENT_NODE) {
				if (containsSPB(child)) {
					if (childName.equals(TEXT_NOTE)) {
						factory.split(((Element)child).getElementsByTagName(TEXT_NOTE_BODY).item(0));
					} else if (childName.equals(TEXT_SPAN)){
						factory.split(child);
					} else {
						System.out.println("Error. SPB in unknown element " + childName);
						System.exit(1);
					}
				}
			}
		i++;
		}
		return results;
	}

}
