package w2phtml.regressionTests.html5;

import static org.junit.jupiter.api.Assertions.assertTrue;

import java.io.File;
import java.util.ArrayList;
import java.util.List;

import org.apache.commons.io.FileUtils;
import org.junit.jupiter.api.DisplayName;
import org.junit.jupiter.api.Test;

public class SplitFilesAlignToPages {
  @Test
  @DisplayName("Split files align to pages")
  void testExample() throws Exception {
    String testName = "split_files";
    List<String> arguments = new ArrayList<String>();
    arguments.add("-page_break_style");
    arguments.add("height:3em;margin-top:1em;margin-bottom:1em;background-color:red;");
    arguments.add("-split_level=1");
    arguments.add("-align_splits_to_pages=true");
    arguments.add("-html5");
    arguments.add("./testdocuments/input/" + testName + ".odt");
    arguments.add("./testdocuments/output/" + testName + ".html");
    w2phtml.Application.main(arguments.toArray(new String[0]));
    File result1 = new File("./testdocuments/output/" + testName + ".html");
    File result2 = new File("./testdocuments/output/" + testName + "1.html");
    File model1 = new File("./testdocuments/model/" + testName + ".html");
    File model2 = new File("./testdocuments/model/" + testName + "1.html");
    assertTrue(FileUtils.contentEquals(result1, model1), "The files differ!");
    assertTrue(FileUtils.contentEquals(result2, model2), "The files differ!");

  }
}
